Device Update - List Versions
Get a list of all update versions that match the specified provider and name.
GET https://{endpoint}/deviceUpdate/{instanceId}/updates/providers/{provider}/names/{name}/versions?api-version=2026-06-01
GET https://{endpoint}/deviceUpdate/{instanceId}/updates/providers/{provider}/names/{name}/versions?api-version=2026-06-01&filter={filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
The Device Update for IoT Hub account endpoint (hostname only, no protocol). |
|
instance
|
path | True |
string |
The Device Update for IoT Hub account instance identifier. |
|
name
|
path | True |
string |
Update name. |
|
provider
|
path | True |
string |
Update provider. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
filter
|
query |
string |
Optional to filter updates by isDeployable property. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://api.adu.microsoft.com/.default |
Examples
DeviceUpdate_ListVersions
Sample request
GET https://contoso.api.adu.microsoft.com/deviceUpdate/blue/updates/providers/microsoft/names/adu/versions?api-version=2026-06-01
Sample response
{
"value": [
"1.0.0.0",
"1.0.0.1"
]
}
Definitions
| Name | Description |
|---|---|
| Error |
Error details. |
|
Error |
Common error response. |
|
Inner |
An object containing more specific information than the current object about the error. |
|
Strings |
The list of strings with server paging support. |
Error
Error details.
| Name | Type | Description |
|---|---|---|
| code |
string |
Server defined error code. |
| details |
Error[] |
An array of errors that led to the reported error. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| occurredDateTime |
string (date-time) |
Date and time in UTC when the error occurred. |
| target |
string |
The target of the error. |
ErrorResponse
Common error response.
| Name | Type | Description |
|---|---|---|
| error |
The error details. |
InnerError
An object containing more specific information than the current object about the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
A more specific error code than what was provided by the containing error. |
| errorDetail |
string |
The internal error or exception message. |
| innerError |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
StringsList
The list of strings with server paging support.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link to the next page of items. |
| value |
string[] |
The collection of pageable items. |